[Yum] Yum update problem (installed version conflicts?)

Jules Colding colding at mercell.com
Thu Apr 22 07:02:01 UTC 2004


On Thu, 2004-04-22 at 08:41, seth vidal wrote:
> On Thu, 2004-04-22 at 08:38 +0200, Jules Colding wrote:
> 
> > Hi,
> > 
> > I have a local mirror of fedora and fedora.us. Searching for gftp gives:
> > 
> > find . -name 'gftp*'
> > ./fedora/core/1/i386/os/Fedora/RPMS/gftp-2.0.14-5.i386.rpm
> > ./fedora/core/1/i386/os/headers/gftp-1-2.0.14-5.i386.hdr
> > ./fedora/core/1/i386/os/headers/gftp-1-2.0.14-5.src.hdr
> > ./fedora.us/fedora/fedora/1/i386/yum/os/headers/gftp-1-2.0.14-5.i386.hdr
> > ./fedora.us/fedora/fedora/1/i386/yum/os/headers/gftp-1-2.0.14-5.src.hdr
> > ./fedora.us/fedora/fedora/1/i386/yum/updates/headers/gftp-1-2.0.17-0.FC1.src.hdr
> > ./fedora.us/fedora/fedora/1/i386/yum/updates/headers/gftp-1-2.0.17-0.FC1.i386.hdr
> > ./fedora.us/fedora/fedora/1/i386/RPMS.os/gftp-2.0.14-5.i386.rpm
> > ./fedora.us/fedora/fedora/1/i386/RPMS.updates/gftp-2.0.17-0.FC1.i386.rpm
> > 
> > 
> > My installed version of gftp is "gftp-2.0.14-5". The problem is that
> > running "yum update" does not update gftp to 2.0.17. I guess it is
> > because of the presence of gftp-2.0.14-5 in the fedora mirror, but
> > shouldn't yum detect the never version in fedora.us?
> > 
> 
> what does your yum.conf look like?

Ok, that was embarrassing. I thought that I had enabled the updates repo
in yum.conf, but it was commented out. I knew what it should say, so I
didn't actually read it correctly.

Thank you for your help and sorry for wasting everybody's time :-( 

Best regards,
  jules




More information about the Yum mailing list